#include <stdio.h>
#include <string.h>
#include <stddef.h>
#include <stdlib.h>
#include <ctype.h>
#if defined(__GNUC__)
#include <stdint.h>
#endif 
#include "mublas.h" 

void
mublas_dgemm_ (const char *transA, const char *transB,
				const int *m, const int *n, const int *k, const double *alpha,
				const size_t *devA, const int *lda,
				const size_t *devB, const int *ldb, const double *beta,
				const size_t *devC, const int *ldc) {
	double *A = (double *)(*devA);
	double *B = (double *)(*devB);
	double *C = (double *)(*devC);
	mublasDgemmCC (*transA, *transB, *m, *n, *k, alpha, A, *lda, B, *ldb, beta, C, *ldc);
}

void
mublas_dbgemm_ (const char *transA, const char *transB,
				const int *m, const int *n, const int *k, const double *alpha,
				const size_t *devA, const int *lda,
				const size_t *devB, const int *ldb, const double *beta,
				const size_t *devC, const int *ldc) {
	double *A = (double *)(*devA);
	double *B = (double *)(*devB);
	double *C = (double *)(*devC);
	mublasDBgemmCC (*transA, *transB, *m, *n, *k, alpha, A, *lda, B, *ldb, beta, C, *ldc);
//	cublasDgemm (*transA, *transB, *m, *n, *k, *alpha, A, *lda, B, *ldb, *beta, C, *ldc);
}

