set term postscript eps enhanced color

set style line 11 lt 1 lw 0.8 ps 0.8 pt 6 lc rgb "#CC3300" # red
set style line 12 dt 2 lw 0.8 ps 0.8 pt 6 lc rgb "#CC3300" # red
set style line 21 lt 1 lw 0.8 ps 0.8 pt 2 lc rgb "#009900" # green
set style line 22 dt 2 lw 0.8 ps 0.8 pt 2 lc rgb "#009900" # green
set style line 31 lt 1 lw 0.8 ps 0.8 pt 8 lc rgb "#CC9900" # orange
set style line 32 dt 2 lw 0.8 ps 0.8 pt 8 lc rgb "#CC9900" # orange
set style line 41 lt 1 lw 0.8 ps 0.8 pt 1 lc rgb "#3366CC" # blue
set style line 42 dt 2 lw 0.8 ps 0.8 pt 1 lc rgb "#3366CC" # blue
set style line 51 lt 1 lw 0.8 ps 0.8 pt 2 lc rgb "#00CCFF" # sky
set style line 52 dt 2 lw 0.8 ps 0.8 pt 2 lc rgb "#00CCFF" # sky
set style line 61 lt 1 lw 0.8 ps 0.8 pt 2 lc rgb "#000000" # black
set style line 62 dt 2 lw 0.8 ps 0.8 pt 2 lc rgb "#000000" # black

##################################################################################################################
# Settings
##################################################################################################################

set grid
set xlabel "Problem Size (n)" offset 0.5,0

##################################################################################################################
# plot
##################################################################################################################

set key right bottom
set size 1,1

##################################################################################################################
set ylabel "GB/s" offset 1.5,0
set xrange [0:8192]
##################################################################################################################
set title "GEMV" offset 0,-0.5
set output "fig_testing_sdcz_gemv_n_perf.eps"
plot \
"_testing_mublas_sgemv_n_perf.dat" index 0 using 2:6 w linespoints ls 11,\
"_testing_mublas_dgemv_n_perf.dat" index 0 using 2:6 w linespoints ls 21,\
"_testing_mublas_cgemv_n_perf.dat" index 0 using 2:6 w linespoints ls 31,\
"_testing_mublas_zgemv_n_perf.dat" index 0 using 2:6 w linespoints ls 41,\
\
"_testing_cublas_sgemv_n_perf.dat" index 0 using 2:6 w linespoints ls 12,\
"_testing_cublas_dgemv_n_perf.dat" index 0 using 2:6 w linespoints ls 22,\
"_testing_cublas_cgemv_n_perf.dat" index 0 using 2:6 w linespoints ls 32,\
"_testing_cublas_zgemv_n_perf.dat" index 0 using 2:6 w linespoints ls 42

set output "fig_testing_bvwu_gemv_n_perf.eps"
plot \
"_testing_mublas_bgemv_n_perf.dat" index 0 using 2:6 w linespoints ls 11,\
"_testing_mublas_dbgemv_n_perf.dat" index 0 using 2:6 w linespoints ls 12,\
"_testing_mublas_vgemv_n_perf.dat" index 0 using 2:6 w linespoints ls 21,\
"_testing_mublas_wgemv_n_perf.dat" index 0 using 2:6 w linespoints ls 31,\
"_testing_mublas_ugemv_n_perf.dat" index 0 using 2:6 w linespoints ls 41

##################################################################################################################
set title "GEMV" offset 0,-0.5
set output "fig_testing_sdcz_gemv_t_perf.eps"
plot \
"_testing_mublas_sgemv_t_perf.dat" index 0 using 2:6 w linespoints ls 11,\
"_testing_mublas_dgemv_t_perf.dat" index 0 using 2:6 w linespoints ls 21,\
"_testing_mublas_cgemv_t_perf.dat" index 0 using 2:6 w linespoints ls 31,\
"_testing_mublas_zgemv_t_perf.dat" index 0 using 2:6 w linespoints ls 41,\
\
"_testing_cublas_sgemv_t_perf.dat" index 0 using 2:6 w linespoints ls 12,\
"_testing_cublas_dgemv_t_perf.dat" index 0 using 2:6 w linespoints ls 22,\
"_testing_cublas_cgemv_t_perf.dat" index 0 using 2:6 w linespoints ls 32,\
"_testing_cublas_zgemv_t_perf.dat" index 0 using 2:6 w linespoints ls 42

set output "fig_testing_bvwudb_gemv_t_perf.eps"
plot \
"_testing_mublas_bgemv_t_perf.dat" index 0 using 2:6 w linespoints ls 11,\
"_testing_mublas_dbgemv_t_perf.dat" index 0 using 2:6 w linespoints ls 12,\
"_testing_mublas_vgemv_t_perf.dat" index 0 using 2:6 w linespoints ls 21,\
"_testing_mublas_wgemv_t_perf.dat" index 0 using 2:6 w linespoints ls 31,\
"_testing_mublas_ugemv_t_perf.dat" index 0 using 2:6 w linespoints ls 41

##################################################################################################################
set title "TRMV" offset 0,-0.5
set output "fig_testing_sdcz_trmv_lnn_perf.eps"
plot \
"_testing_mublas_strmv_lnn_perf.dat" index 0 using 2:6 w linespoints ls 11,\
"_testing_mublas_dtrmv_lnn_perf.dat" index 0 using 2:6 w linespoints ls 21,\
"_testing_mublas_ctrmv_lnn_perf.dat" index 0 using 2:6 w linespoints ls 31,\
"_testing_mublas_ztrmv_lnn_perf.dat" index 0 using 2:6 w linespoints ls 41,\
\
"_testing_cublas_strmv_lnn_perf.dat" index 0 using 2:6 w linespoints ls 12,\
"_testing_cublas_dtrmv_lnn_perf.dat" index 0 using 2:6 w linespoints ls 22,\
"_testing_cublas_ctrmv_lnn_perf.dat" index 0 using 2:6 w linespoints ls 32,\
"_testing_cublas_ztrmv_lnn_perf.dat" index 0 using 2:6 w linespoints ls 42

set output "fig_testing_bvwu_trmv_lnn_perf.eps"
plot \
"_testing_mublas_btrmv_lnn_perf.dat" index 0 using 2:6 w linespoints ls 11,\
"_testing_mublas_dbtrmv_lnn_perf.dat" index 0 using 2:6 w linespoints ls 12,\
"_testing_mublas_vtrmv_lnn_perf.dat" index 0 using 2:6 w linespoints ls 21,\
"_testing_mublas_wtrmv_lnn_perf.dat" index 0 using 2:6 w linespoints ls 31,\
"_testing_mublas_utrmv_lnn_perf.dat" index 0 using 2:6 w linespoints ls 41

##################################################################################################################
set ylabel "GB/s" offset 1.5,0
set logscale x
set xrange [1:10240000]
##################################################################################################################
set title "AXPY" offset 0,-0.5
set output "fig_testing_sdcz_axpy_perf.eps"
plot \
"_testing_mublas_saxpy_perf.dat" index 0 using 2:6 w linespoints ls 11,\
"_testing_mublas_daxpy_perf.dat" index 0 using 2:6 w linespoints ls 21,\
"_testing_mublas_caxpy_perf.dat" index 0 using 2:6 w linespoints ls 31,\
"_testing_mublas_zaxpy_perf.dat" index 0 using 2:6 w linespoints ls 41,\
\
"_testing_cublas_saxpy_perf.dat" index 0 using 2:6 w linespoints ls 12,\
"_testing_cublas_daxpy_perf.dat" index 0 using 2:6 w linespoints ls 22,\
"_testing_cublas_caxpy_perf.dat" index 0 using 2:6 w linespoints ls 32,\
"_testing_cublas_zaxpy_perf.dat" index 0 using 2:6 w linespoints ls 42

set output "fig_testing_bvwudb_axpy_perf.eps"
plot \
"_testing_mublas_baxpy_perf.dat" index 0 using 2:6 w linespoints ls 11,\
"_testing_mublas_dbaxpy_perf.dat" index 0 using 2:6 w linespoints ls 12,\
"_testing_mublas_vaxpy_perf.dat" index 0 using 2:6 w linespoints ls 21,\
"_testing_mublas_waxpy_perf.dat" index 0 using 2:6 w linespoints ls 31,\
"_testing_mublas_uaxpy_perf.dat" index 0 using 2:6 w linespoints ls 41

##################################################################################################################
set ylabel "GFlops" offset 1.5,0
set nologscale x
set xrange [0:4096]
##################################################################################################################
set title "GEMM" offset 0,-0.5
set output "fig_testing_sdcz_gemm_nn_perf.eps"
plot \
"_testing_mublas_sgemm_nn_perf.dat" index 0 using 2:5 w linespoints ls 11,\
"_testing_mublas_dgemm_nn_perf.dat" index 0 using 2:5 w linespoints ls 21,\
"_testing_mublas_cgemm_nn_perf.dat" index 0 using 2:5 w linespoints ls 31,\
"_testing_mublas_zgemm_nn_perf.dat" index 0 using 2:5 w linespoints ls 41,\
\
"_testing_cublas_sgemm_nn_perf.dat" index 0 using 2:5 w linespoints ls 12,\
"_testing_cublas_dgemm_nn_perf.dat" index 0 using 2:5 w linespoints ls 22,\
"_testing_cublas_cgemm_nn_perf.dat" index 0 using 2:5 w linespoints ls 32,\
"_testing_cublas_zgemm_nn_perf.dat" index 0 using 2:5 w linespoints ls 42

set output "fig_testing_bvwudb_gemm_nn_perf.eps"
plot \
"_testing_mublas_bgemm_nn_perf.dat" index 0 using 2:5 w linespoints ls 11,\
"_testing_mublas_dbgemm_nn_perf.dat" index 0 using 2:5 w linespoints ls 12,\
"_testing_mublas_vgemm_nn_perf.dat" index 0 using 2:5 w linespoints ls 21,\
"_testing_mublas_wgemm_nn_perf.dat" index 0 using 2:5 w linespoints ls 31,\
"_testing_mublas_ugemm_nn_perf.dat" index 0 using 2:5 w linespoints ls 41


##################################################################################################################
# plot (cheeck)
##################################################################################################################

set key right bottom
set size 1,1

##################################################################################################################
set ylabel "GB/s" offset 1.5,0
set xrange [0:8192]
##################################################################################################################
set title "GEMV" offset 0,-0.5
set output "fig_testing_sdcz_gemv_n_check.eps"
plot \
"_testing_mublas_sgemv_n_check.dat" index 0 using 2:4 w linespoints ls 11,\
"_testing_mublas_dgemv_n_check.dat" index 0 using 2:4 w linespoints ls 21,\
"_testing_mublas_cgemv_n_check.dat" index 0 using 2:4 w linespoints ls 31,\
"_testing_mublas_zgemv_n_check.dat" index 0 using 2:4 w linespoints ls 41

set output "fig_testing_bvwu_gemv_n_check.eps"
plot \
"_testing_mublas_bgemv_n_check.dat" index 0 using 2:4 w linespoints ls 11,\
"_testing_mublas_dbgemv_n_check.dat" index 0 using 2:4 w linespoints ls 12,\
"_testing_mublas_vgemv_n_check.dat" index 0 using 2:4 w linespoints ls 21,\
"_testing_mublas_wgemv_n_check.dat" index 0 using 2:4 w linespoints ls 31,\
"_testing_mublas_ugemv_n_check.dat" index 0 using 2:4 w linespoints ls 41

##################################################################################################################
set title "GEMV" offset 0,-0.5
set output "fig_testing_sdcz_gemv_t_check.eps"
plot \
"_testing_mublas_sgemv_t_check.dat" index 0 using 2:4 w linespoints ls 11,\
"_testing_mublas_dgemv_t_check.dat" index 0 using 2:4 w linespoints ls 21,\
"_testing_mublas_cgemv_t_check.dat" index 0 using 2:4 w linespoints ls 31,\
"_testing_mublas_zgemv_t_check.dat" index 0 using 2:4 w linespoints ls 41

set output "fig_testing_bvwudb_gemv_t_check.eps"
plot \
"_testing_mublas_bgemv_t_check.dat" index 0 using 2:4 w linespoints ls 11,\
"_testing_mublas_dbgemv_t_check.dat" index 0 using 2:4 w linespoints ls 12,\
"_testing_mublas_vgemv_t_check.dat" index 0 using 2:4 w linespoints ls 21,\
"_testing_mublas_wgemv_t_check.dat" index 0 using 2:4 w linespoints ls 31,\
"_testing_mublas_ugemv_t_check.dat" index 0 using 2:4 w linespoints ls 41

##################################################################################################################
set title "TRMV" offset 0,-0.5
set output "fig_testing_sdcz_trmv_lnn_check.eps"
plot \
"_testing_mublas_strmv_lnn_check.dat" index 0 using 2:4 w linespoints ls 11,\
"_testing_mublas_dtrmv_lnn_check.dat" index 0 using 2:4 w linespoints ls 21,\
"_testing_mublas_ctrmv_lnn_check.dat" index 0 using 2:4 w linespoints ls 31,\
"_testing_mublas_ztrmv_lnn_check.dat" index 0 using 2:4 w linespoints ls 41

set output "fig_testing_bvwu_trmv_lnn_check.eps"
plot \
"_testing_mublas_btrmv_lnn_check.dat" index 0 using 2:4 w linespoints ls 11,\
"_testing_mublas_dbtrmv_lnn_check.dat" index 0 using 2:4 w linespoints ls 12,\
"_testing_mublas_vtrmv_lnn_check.dat" index 0 using 2:4 w linespoints ls 21,\
"_testing_mublas_wtrmv_lnn_check.dat" index 0 using 2:4 w linespoints ls 31,\
"_testing_mublas_utrmv_lnn_check.dat" index 0 using 2:4 w linespoints ls 41

##################################################################################################################
set ylabel "GB/s" offset 1.5,0
set logscale x
set xrange [1:10240000]
##################################################################################################################
set title "AXPY" offset 0,-0.5
set output "fig_testing_sdcz_axpy_check.eps"
plot \
"_testing_mublas_saxpy_check.dat" index 0 using 2:4 w linespoints ls 11,\
"_testing_mublas_daxpy_check.dat" index 0 using 2:4 w linespoints ls 21,\
"_testing_mublas_caxpy_check.dat" index 0 using 2:4 w linespoints ls 31,\
"_testing_mublas_zaxpy_check.dat" index 0 using 2:4 w linespoints ls 41

set output "fig_testing_bvwudb_axpy_check.eps"
plot \
"_testing_mublas_baxpy_check.dat" index 0 using 2:4 w linespoints ls 11,\
"_testing_mublas_dbaxpy_check.dat" index 0 using 2:4 w linespoints ls 12,\
"_testing_mublas_vaxpy_check.dat" index 0 using 2:4 w linespoints ls 21,\
"_testing_mublas_waxpy_check.dat" index 0 using 2:4 w linespoints ls 31,\
"_testing_mublas_uaxpy_check.dat" index 0 using 2:4 w linespoints ls 41

##################################################################################################################
set ylabel "GFlops" offset 1.5,0
set nologscale x
set xrange [0:4096]
##################################################################################################################
set title "GEMM" offset 0,-0.5
set output "fig_testing_sdcz_gemm_nn_check.eps"
plot \
"_testing_mublas_sgemm_nn_check.dat" index 0 using 2:4 w linespoints ls 11,\
"_testing_mublas_dgemm_nn_check.dat" index 0 using 2:4 w linespoints ls 21,\
"_testing_mublas_cgemm_nn_check.dat" index 0 using 2:4 w linespoints ls 31,\
"_testing_mublas_zgemm_nn_check.dat" index 0 using 2:4 w linespoints ls 41

set output "fig_testing_bvwudb_gemm_nn_check.eps"
plot \
"_testing_mublas_bgemm_nn_check.dat" index 0 using 2:4 w linespoints ls 11,\
"_testing_mublas_dbgemm_nn_check.dat" index 0 using 2:4 w linespoints ls 12,\
"_testing_mublas_vgemm_nn_check.dat" index 0 using 2:4 w linespoints ls 21,\
"_testing_mublas_wgemm_nn_check.dat" index 0 using 2:4 w linespoints ls 31,\
"_testing_mublas_ugemm_nn_check.dat" index 0 using 2:4 w linespoints ls 41


