#ifndef TESTING_SETTING
#define TESTING_SETTING

// ***** SETTING ***********************************
// size_t
#define SIZE_T			int32_t
//#define SIZE_T			size_t

// performance measurement:
// enable PERF_AVERAGE for accurate measurement: a routine is repeatedly executed at least MINSEC second, at least MINLOOP, and at maximum MAXLOOP times for each problem size. When PERF_AVERAGE is not defined, a routine is executed at least MINLOOP times and then the program displays the best performance among MINLOOP executions
#define PERF_AVERAGE	0
#define MINSEC			1.0
#define MINLOOP			3//1
#define MAXLOOP			3//10000

// Experimental
#define MEMMARGIN		10 // memory margin [%] for calculating maximum problem size
#define TEMPLIMIT		90  // temperature limit (with NVML)
#define PITCHALLOC		0 // pitched alloc (default: yes=1)
#define DDMADCOUNT		16 // num of double-precision floating instructions for DD-MAD (for theoretical peak performance calculation)
#define DFMADCOUNT		16 // num of double-precision floating instructions for DF-MAD (for theoretical peak performance calculation)

// Debug mode
#define DEBUG_PRINT		0
#define DEBUG_ALLSKIP	0

// multiple GPU
#define NGPU_MAX		8
// ***** SETTING ***********************************

#endif
